package cn.meowrain.aioj.backend.framework.core.exception;

import cn.meowrain.aioj.backend.framework.core.errorcode.ErrorCode;
import cn.meowrain.aioj.backend.framework.core.errorcode.IErrorCode;
import lombok.ToString;

/**
 * 客户端异常
 */
@ToString
public class ClientException extends AbstractException {

	public ClientException(String message, Throwable throwable, IErrorCode errorCode) {
		super(message, throwable, errorCode);
	}

	public ClientException(IErrorCode errorCode) {
		this(null, null, errorCode);
	}

	public ClientException(String message, IErrorCode errorCode) {
		this(message, null, errorCode);
	}

	public ClientException(String message) {
		this(message, null, ErrorCode.PARAMS_ERROR);
	}

}
